PGAError(6)

NAME
PGAError - reports error messages. Prints out the message supplied, and the value of a piece of data. Terminates if PGA_FATAL.

INPUT PARAMETERS
ctx - context variable
msg - the error message to print
level
    - PGA_WARNING or PGA_FATAL to indicate the error's severity
datatype
    - the data type of the following argument
data
    - the address of the data to be written out, cast as a void pointer

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
void  PGAError(ctx, msg, level, datatype, data)
PGAContext *ctx
char *msg
int level
int datatype
void *data

LOCATION
system.c

EXAMPLE
Example:
PGAContext *ctx;
int         val;
:
PGAError(ctx, "Some Non Fatal Error: val = ", PGA_WARNING, PGA_INT,
(void *) &val);
:
PGAError(ctx, "A Fatal Error!", PGA_FATAL, PGA_VOID, NULL);